Subject: Re: [Editorial Errata Reported] RFC4013 (1812)

From: Simon Josefsson <[email-masked]>
Date: Mon, 17 Aug 2009 14:50:45 +0200

I think your fix is better.  RFC 3454 talks about prohibiting code
points in the output.  It doesn't say anything about prohibiting code
points in inputs, since the algorithm doesn't work like that.  I don't
think the intention of RFC 4013 was to change the ordering of RFC 3454
algorithm steps, so treating it as a typo in RFC 4013 appears
appropriate to me.

/Simon

<[email-masked]> writes:

> Hmm.. it looks like there are Unicode characters that are in the
> "prohibited output" list, but will get changed to another, allowed
> characters during the "Map" or "Normalize" steps. 
>
> Since "Prohibit" step is done after Map and Normalize, these
> characters can actually appear in the input, right? (and this would 
> not be an error)
>
> (For example, it looks like U+0340 is prohibited by Table C.8, but
> will get normalized to U+0300, which is allowed.)
>
> So actually should the errata be something like this?
>
>   OLD:
>      This profile specifies the following characters as prohibited input:     
>   NEW:
>      This profile specifies the following characters as prohibited output:
>
>  Discussion: Per RFC 3454, the check for prohibited characters
>  is done after the "Map" and "Normalize" steps. Characters listed
>  here are actually allowed as inputs if they get removed by the 
>  "Map" or "Normalize" steps.
>
> Best regards,
> Pasi
>
>> -----Original Message-----
>> From: ext Kurt Zeilenga [mailto:[email-masked]]
>> Sent: 23 July, 2009 04:32
>> To: Jeffrey Hutzelman
>> Cc: Simon Josefsson; RFC Errata System; [email-masked]; Eronen Pasi
>> (Nokia-NRC/Helsinki); [email-masked]; [email-masked]; ietf-
>> [email-masked]
>> Subject: Re: [Editorial Errata Reported] RFC4013 (1812)
>> 
>> 
>> On Jul 22, 2009, at 1:44 PM, Jeffrey Hutzelman wrote:
>> 
>> > There is, however, an error -- the first sentence of this section
>> > does in fact claim to be specifying prohibited input characters.
>> > The correct fix is to that text, not to the section title.
>> 
>> 
>> I support the following errata:
>> 
>> OLD:
>> 	prohibited input:
>> 
>> NEW
>> 	prohibited:
>> 
>> 
>> Discussion:
>> Per RFC 3454, if a prohibited character appears in the input, an error
>> must result.  That is, the prohibited characters cannot appear in the
>> output.

---

From: <[email-masked]>
Date: Mon, 17 Aug 2009 13:24:11 +0200

OLD:

Best regards,
Pasi